com.sun.mail.gimap

## Class GmailThrIdTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - com.sun.mail.gimap.GmailThrIdTerm

- All Implemented Interfaces:
    Serializable

      public final class GmailThrIdTerm
      extends SearchTerm

  This class implements searching for the Gmail thread ID.
  Since:
    JavaMail 1.4.6
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `number`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GmailThrIdTerm(long thrId)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality comparison.
    `long` | `getNumber()`
    `int` | `hashCode()`
    `protected boolean` | `match(long arg0)`
    `boolean` | `match(Message thr)` The match method.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### number

          protected long number

  - ### Constructor Detail

    - #### GmailThrIdTerm

          public GmailThrIdTerm(long thrId)

      Constructor.
      Parameters:
        `thrId` - the thread ID

  - ### Method Detail

    - #### match

          public boolean match(Message thr)

      The match method.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `thr` - the Message number is matched with this Message
      Returns:
        true if the match succeeds, otherwise false

    - #### equals

          public boolean equals(Object obj)

      Equality comparison.

    - #### getNumber

          public long getNumber()

    - #### match

          protected boolean match(long arg0)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013 Oracle. All Rights Reserved.